package org.use.dao;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

import org.use.entity.Use;

public class UseDao {
	private final String URL="jdbc:mysql://localhost:3306/test";
	private final String USERNAME ="root" ;
	private final String PASSWORD ="123456" ;
	
	public boolean isExist(String username) {
		return queryUseByusername(username)==null? false:true ;
	}
	
	public boolean addUse(Use use) {
		Connection connection = null;
		PreparedStatement pstmt = null;
		ResultSet rs= null;
		
		try {
			Class.forName("com.mysql.jdbc.Driver");
			connection = DriverManager.getConnection(URL,USERNAME,PASSWORD );
			String sql = "inset into use(username,password,phonenum,email) vaule(?,?,?,?) " ;
			pstmt =connection.prepareStatement( sql);
			pstmt.setString(1, use.getUsername() );
			pstmt.setString(2, use.getPassword() );
			pstmt.setInt(3, use.getPhonenum() );
			pstmt.setString(4, use.getEmail() );
			int count = pstmt.executeUpdate() ;
			if(count>0)
				return true;
			else
				return false;
			

				
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
			return false;
		} catch (SQLException e) {
			e.printStackTrace();
			return false;
		}catch (Exception e) {
			e.printStackTrace();
			return false;
		}
		finally {
			try {
				if(rs!=null)rs.close();
				if(pstmt!=null)pstmt.close();
				if(connection!=null)connection.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
			
			
		}
	}

	
	//查询
	public Use queryUseByusername(String username) {
		Use use= null;
		Connection connection = null;
		PreparedStatement pstmt = null;
		ResultSet rs= null;
		
		try {
			Class.forName("com.mysql.jdbc.Driver");
			connection = DriverManager.getConnection(URL,USERNAME,PASSWORD );
			String sql = "select * from use where username = ? ";
			pstmt =connection.prepareStatement( sql);
			pstmt.setString(1, username);
			rs = pstmt.executeQuery() ;
			if(rs.next()) {
				String uname= rs.getString("username");
				String password= rs.getString("password");
				int phonenum= rs.getInt("phonenum");
				String email= rs.getString("email");
				use = new Use(uname,password,phonenum,email);
				
			}
			return use;
				
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
			return null;
		} catch (SQLException e) {
			e.printStackTrace();
			return null;
		}catch (Exception e) {
			e.printStackTrace();
			return null;
		}
		finally {
			try {
				if(rs!=null)rs.close();
				if(pstmt!=null)pstmt.close();
				if(connection!=null)connection.close();
			} catch (SQLException e) {
				e.printStackTrace();
			}
			
			
		}
	}
}
